var api = {

	alert(content) {
		document.getElementById("w-alert-popup-white").style.display = "block"
		document.getElementById("w-alert-content").innerHTML = content
	},

	hideAlert() {

		document.getElementById("w-alert-popup-white").style.display = "none"
		document.getElementById("w-alert-content").innerHTML = ""
	},
	getQuery(name) {
		var query = window.location.search.substring(1);
		var vars = query.split("&");
		for (var i = 0; i < vars.length; i++) {
			var pair = vars[i].split("=");
			if (pair[0] == name) {
				return pair[1];
			}
		}
		return "";
	},
	/**
	 * 获取cookie
	 * @param {Object} name
	 */
	getCookie(name) {
		let temp = window.localStorage.getItem(name);
		if (temp) {
			return temp
		} else {
			var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
			if (arr = document.cookie.match(reg))
				return unescape(arr[2]);
			else
				return "";
		}
	},

	/**
	 * 对象转字符串
	 * @param {Object} param
	 * @param {Object} key
	 * @param {Object} encode
	 */
	getParams(param, key, encode) {
		if (param == null) return '';
		var paramStr = '';
		var t = typeof(param);
		if (t == 'string' || t == 'number' || t == 'boolean') {
			paramStr += '&' + key + '=' + ((encode == null || encode) ? encodeURIComponent(param) : param);
		} else {
			for (var i in param) {
				var k = key == null ? i : key + (param instanceof Array ? '[' + i + ']' : '.' + i);
				paramStr += this.getParams(param[i], k, encode);
			}
		}
		return paramStr;
	},


	/**
	 * 获取支持的类型
	 */
	httpRequest() {
		var xmlHttp;
		if (window.XMLHttpRequest) {
			xmlHttp = new XMLHttpRequest();
			if (xmlHttp.overrideMimeType)
				xmlHttp.overrideMimeType('text/xml');
		} else if (window.ActiveXObject) {
			try {
				xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
			} catch (e) {
				try {
					xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
				} catch (e) {}
			}
		}
		return xmlHttp;

	},
	/**
	 * 显示加载
	 */
	loading() {

		try {
			document.getElementById("loading-start-public-box").innerHTML;
		} catch (err) {
			var div = document.createElement("div");
			div.id = "loading-start-public-bg";
			document.body.appendChild(div);

			var box = document.createElement("div");
			box.id = "loading-start-public-box";
			document.body.appendChild(box);
			var img = document.createElement("img");
			img.src = "img/loadingBg.gif";
			box.appendChild(img);

		}
		document.getElementById("loading-start-public-bg").style.display = "block"
		document.getElementById("loading-start-public-box").style.display = "block"
	},
	/**
	 * 隐藏加载
	 */
	hideLoading() {

		document.getElementById("loading-start-public-bg").style.display = "none"
		document.getElementById("loading-start-public-box").style.display = "none"
	},
	/**
	 * 发送远程请求 13820866885
	 * @param {Object} url
	 * @param {Object} params
	 * @param {Object} successFunction
	 * @param {Object} errorFunction
	 */
	post(url, params, successFunction, errorFunction) {

		var httpRequest = this.httpRequest();
		var host = this.getQuery("apiHost") ? this.getQuery("apiHost") : "https://api-v2.1dq.com"
		url = host + url;
		httpRequest.open('POST', url, true);
		//设置请求头 
		httpRequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		httpRequest.setRequestHeader("appId", this.getQuery("appId"));
		httpRequest.setRequestHeader("token", this.getQuery("token"));
		httpRequest.setRequestHeader("clientType", this.getQuery("clientType"));
		httpRequest.setRequestHeader("clientId", this.getQuery("clientId"));
		httpRequest.setRequestHeader("orgId", this.getQuery("orgId"));

		//发送请求 
		httpRequest.send(this.getParams(params));
		//获取数据后的处理程序 
		httpRequest.onreadystatechange = function() {
			//验证请求是否发送成功
			if (httpRequest.status == 200 && httpRequest.readyState == 4) {
				//获取到服务端返回的数据
				var json = JSON.parse(httpRequest.responseText);
				if (successFunction)
					successFunction(json)
			} else if (httpRequest.status != 200) {
				if (errorFunction)
					errorFunction()
				else {
					alert("请求失败，请确认网络正常")
				}
			}
		};
		// 请求失败
		httpRequest.onerror = function(e) {
			if (errorFunction)
				errorFunction(json)
			else {
				alert("请求失败，请确认网络正常")
			}
		}


	},
	/**
	 * 加载控制中心
	 */
	loadingApiCenter() {
		var userAgent = navigator.userAgent;
		if (userAgent.indexOf('AlipayClient') > -1) {
			// 支付宝小程序的 JS-SDK 防止 404 需要动态加载，如果不需要兼容支付宝小程序，则无需引用此 JS 文件。
			document.writeln('<script src="https://appx/web-view.min.js"' + '>' + '<' + '/' + 'script>');
		} else if (/QQ/i.test(userAgent) && /miniProgram/i.test(userAgent)) {
			// QQ 小程序
			document.write(
				'<script type="text/javascript" src="https://qqq.gtimg.cn/miniprogram/webview_jssdk/qqjssdk-1.0.0.js"><\/script>'
			);
		} else if (/miniProgram/i.test(userAgent)) {
			// 微信小程序 JS-SDK 如果不需要兼容微信小程序，则无需引用此 JS 文件。
			document.write(
				'<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.4.0.js"><\/script>'
			);
		} else if (/toutiaomicroapp/i.test(userAgent)) {
			// 头条小程序 JS-SDK 如果不需要兼容头条小程序，则无需引用此 JS 文件。
			document.write(
				'<script type="text/javascript" src="https://s3.pstatp.com/toutiao/tmajssdk/jssdk-1.0.1.js"><\/script>'
			);
		} else if (/swan/i.test(userAgent)) {
			// 百度小程序 JS-SDK 如果不需要兼容百度小程序，则无需引用此 JS 文件。
			document.write(
				'<script type="text/javascript" src="https://b.bdstatic.com/searchbox/icms/searchbox/js/swan-2.0.18.js"><\/script>'
			);
		}
		document.write(
			'<script type="text/javascript" src="https://oss2.1dq.com/app/static/js/client.js"><\/script>'
		);
	}

}
