

var wpsConfig = {
	office : null,
	commandBars() {
		return [{
			cmbId: "FloatQuickHelp",
			attributes: {
				visible: false,
				enable: false
			}
		},
			{
				cmbId: "Print",
				attributes: {
					visible: false,
					enable: false
				}
			},
			{
				cmbId: "Logo",
				attributes: {
					visible: false,
					enable: false
				}
			},
			{
				cmbId: "SendButton",
				attributes: {
					visible: false,
					enable: false
				}
			},
			{
				cmbId: "Cooperation",
				attributes: {
					visible: false,
					enable: false
				}
			}
		];
	},
	/**
	 * 获取配置文件
	 */
	getConfig() {

		return  {
			commandBars: this.commandBars(),
			mode: "normal", // simple normal
			mount: document.getElementById("wps"),
			pdfOptions: {
				isInSafeMode: true
			},
			wordOptions: {
				isBestScale: true,
				isShowBottomStatusBar: true,
				mobile: {

					isOpenIntoEdit: true, // （Mobile）要有编辑权限，移动端打开时是否进入编辑
					isShowHoverToolbars: true, // （Mobile）是否显示文字底部工具栏
					isVoiceCommentEnabled: false // （Mobile）是否允许插入语音评论
				},
			},
			commonOptions: {
				isShowTopArea: true, // 隐藏顶部区域(头部和工具栏)
				isShowHeader: true // 隐藏头部区域
			},
			url: decodeURIComponent(api.getQuery("url"))
		}
	},

	async save() {
		this.office.ready();
		const result = await  this.office.save();
		console.log(result)
		return result.status === "ok";
	},
	/**
	 * 初始化配置
	 */
	async init() {

		this.office = WebOfficeSDK.config(this.getConfig());
		this.office.setToken({
			token: api.getQuery("token")
		});
		this.office.on('fileOpen', (data) => {
			api.hideLoading()
			document.getElementById("footer-bar").style.display = "block";
		});

		await this.office.ready();
		const app = this.office.Application;

		app.ActiveDocument.ActiveWindow.View.Zoom.PageFit = 0;
		if (window.screen.width < 600) {
			// 获取窗口缩放比例
			setTimeout(() => {
				app.ActiveDocument.ActiveWindow.View.Zoom.Percentage = 50;
			}, 3000);
		}
	}
}
