var wpsConfig = {
	office: null,
	tplId: "",
	fillId: "",
	url: "",
	token: "",
	name: "",
	/**
	 * 读取模板文件
	 */
	readTpl() {
		api.post("/v1/WpsTool/read", {
			id: this.tplId,
			fill_id: this.fillId
		}, json => {
			if (json.code === 200) {
				this.url = json.data.url;
				this.token = json.data.token;
				this.fillId = json.data.fill_id;
				this.name = json.data.name;
				this.loadWps()
			} else {
				api.alert(json.msg)
			}
			api.hideLoading();
		});
	},
	/**
	 * 重新命名
	 * @param name
	 */
	rename(name) {
		if (this.name === name)
			return;
		this.name = name;
		api.post("/v1/WpsTool/rename", {
			id: this.tplId,
			name: name
		}, json => {});
	},

	/**
	 * 仅仅签署文档
	 */
	signed() {
		api.loading();
		if (this.saveWps()) {
			api.post("/v1/WpsTool/signed", {
				id: this.tplId,
				fill_id: this.fillId
			}, json => {
				api.hideLoading();
				uni.redirectTo({
					url: "/pages/users/contractManagement/createDoc?fill_id=" + json.data.fill_id
				});

			});
		}
	},

	/**
	 * 保存
	 * @returns {Promise<void>}
	 */
	saveTpl() {
		api.loading();
		if (this.saveWps()) {
			api.post("/v1/WpsTool/save", {
				id: this.tplId,
				fill_id: this.fillId
			}, json => {
				api.hideLoading();
				api.alert(json.msg)
			});
		}
	},
	/**
	 * 同步保存
	 */
	async saveWps() {
		this.office.ready();
		const result = await this.office.save();
		return result.status === "ok";
	},
	/**
	 * 初始化配置
	 */
	async init() {
		this.tplId = api.getQuery("tpl_id");
		this.fillId = api.getQuery("fill_id");
		this.readTpl()
	},
	/**
	 * wps 初始化
	 */
	loadWps() {

		this.office = aliyun.config({
			mount: document.querySelector('#wps'),
			wordOptions: {
				isShowDocMap: false, //是否开启目录功能，默认开启
				isBestScale: false, //打开文档时，默认以最佳比例显示
				isShowBottomStatusBar: true, //是否展示底部状态栏
				mobile: {
					isOpenIntoEdit: true, //（Mobile）要有编辑权限，移动端打开时是否进入编辑
					isShowHoverToolbars: false, //（Mobile）是否显示文字底部工具栏
					isVoiceCommentEnabled: false, //（Mobile）是否允许插入语音评论
				},
			},
			url: this.url
		})
		//设置AccessToken。
		this.office.setToken({
			token: this.token
		})

		this.office.on('fileOpen', (data) => {
			api.hideLoading()
			document.getElementById("footer-bar").style.display = "block";
		});
		//文件保存的事件回调
		this.office.on('fileStatus', (data) => {
			console.log('文件保存：', data);
		});
		//文件名重命名的事件回调
		this.office.on('fileNameChange', (e) => {
			this.rename(e.fileName)
		});
	}
}
